import { Decoder } from 'ts-decoders';
/**
 * Accepts a `value: T` argument and creates a decoder which
 * always returns `DecoderSuccess<T>` with the provided
 * `value` argument, ignoring its input.
 */
export declare function constantD<T extends string | number | bigint | boolean>(
  exact: T,
): Decoder<T>;
export declare function constantD<T>(exact: T): Decoder<T>;
// # sourceMappingURL=constant.d.ts.map
