import { AsyncDecoder, Decoder } from 'ts-decoders';
/**
 * Test Decoders
 */
/** Simple boolean Decoder for use in tests */
export declare const BOOLEAN_DEC: Decoder<boolean, any>;
/** Simple string Decoder for use in tests */
export declare const STRING_DEC: Decoder<string, any>;
/** Simple number Decoder for use in tests */
export declare const NUMBER_DEC: Decoder<number, any>;
/** Simple `any` Decoder for use in tests */
export declare const ANY_DEC: Decoder<any, any>;
export interface NestedArray {
  [key: number]: NestedArray;
}
/** Recursive "nested arrays" Decoder for use in tests */
export declare const RECURSIVE_DEC: Decoder<NestedArray[]>;
/**
 * Test AsyncDecoders
 */
/** Simple boolean AsyncDecoder for use in tests */
export declare const BOOLEAN_ASYNC_DEC: AsyncDecoder<boolean, any>;
/** Simple number AsyncDecoder for use in tests */
export declare const STRING_ASYNC_DEC: AsyncDecoder<string, any>;
/** Simple number AsyncDecoder for use in tests */
export declare const NUMBER_ASYNC_DEC: AsyncDecoder<number, any>;
/** Simple number AsyncDecoder for use in tests */
export declare const ANY_ASYNC_DEC: AsyncDecoder<any, any>;
/** Recursive "nested array" AsyncDecoder for use in tests */
export declare const RECURSIVE_ASYNC_DEC: AsyncDecoder<NestedArray>;
// # sourceMappingURL=index.d.ts.map
