import { Decoder } from 'ts-decoders';
import { SimpleDecoderOptions } from './util';
export declare type ExactlyDecoderOptions = SimpleDecoderOptions;
/**
 * Accepts a `value` argument and can be used to verify that
 * an unknown input is `=== value`.
 */
export declare function exactlyD<T extends string | number | bigint | boolean>(
  exact: T,
  options?: ExactlyDecoderOptions,
): Decoder<T>;
export declare function exactlyD<T>(
  exact: T,
  options?: ExactlyDecoderOptions,
): Decoder<T>;
// # sourceMappingURL=exactly.d.ts.map
